// #ifndef MYCLASS_H
// #define MYCLASS_H
#include <glib.h>
#include <gst/gst.h>

#include <fstream>
#include <iostream>

// #include "queue_manager.hpp"

class TeeManager {
   public:
    GstElement *tee = NULL, *queue1 = NULL, *queue2 = NULL;
    GstPad *tee_render_pad = NULL, *tee_msg_pad = NULL, *sink_pad1 = NULL,
           *src_pad = NULL, *sink_pad2 = NULL;
    TeeManager();
    bool create_tee();
    ~TeeManager();
    bool create_queue_pads();
    bool create_tee_pads();

   private:
};

// #endif // MYCLASS_H